[@rxap/form-system](../wiki/globals) / ExtractResolveMethodMixin

# Class: ExtractResolveMethodMixin

Defined in: [packages/angular/form-system/src/lib/mixins/extract-resolve-method.mixin.ts:32](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-resolve-method.mixin.ts#L32)

## Extends

- [`ExtractFormDefinitionMixin`](../wiki/Class.ExtractFormDefinitionMixin).[`ExtractMethodMixin`](../wiki/Class.ExtractMethodMixin).[`ExtractControlMixin`](../wiki/Class.ExtractControlMixin)

## Extended by

- [`AutocompleteOptionsFromMethodDirective`](../wiki/Class.AutocompleteOptionsFromMethodDirective)

## Constructors

### new ExtractResolveMethodMixin()

> **new ExtractResolveMethodMixin**(): [`ExtractResolveMethodMixin`](../wiki/Class.ExtractResolveMethodMixin)

#### Returns

[`ExtractResolveMethodMixin`](../wiki/Class.ExtractResolveMethodMixin)

#### Inherited from

[`ExtractControlMixin`](../wiki/Class.ExtractControlMixin).[`constructor`](../wiki/Class.ExtractControlMixin#constructors)

## Properties

### control?

> `protected` `optional` **control**: `RxapFormControl`\<`any`, `any`, `any`\>

Defined in: [packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts:14](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts#L14)

#### Inherited from

[`ExtractControlMixin`](../wiki/Class.ExtractControlMixin).[`control`](../wiki/Class.ExtractControlMixin#control)

***

### injector

> `protected` **injector**: `Injector`

Defined in: [packages/angular/form-system/src/lib/mixins/extract-method.mixin.ts:14](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-method.mixin.ts#L14)

#### Inherited from

[`ExtractMethodMixin`](../wiki/Class.ExtractMethodMixin).[`injector`](../wiki/Class.ExtractMethodMixin#injector)

***

### matFormField?

> `protected` `optional` **matFormField**: `null` \| `MatFormField`

Defined in: [packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts:12](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts#L12)

#### Inherited from

[`ExtractControlMixin`](../wiki/Class.ExtractControlMixin).[`matFormField`](../wiki/Class.ExtractControlMixin#matformfield)

***

### ngControl

> `protected` **ngControl**: `null` \| `NgControl` \| `AbstractControlDirective`

Defined in: [packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts:10](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts#L10)

#### Inherited from

[`ExtractControlMixin`](../wiki/Class.ExtractControlMixin).[`ngControl`](../wiki/Class.ExtractControlMixin#ngcontrol)

## Methods

### extractControl()

> `protected` **extractControl**(`ngControl`): `RxapFormControl`

Defined in: [packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts:16](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts#L16)

#### Parameters

##### ngControl

`null` | `NgControl` | `AbstractControlDirective`

#### Returns

`RxapFormControl`

#### Inherited from

[`ExtractControlMixin`](../wiki/Class.ExtractControlMixin).[`extractControl`](../wiki/Class.ExtractControlMixin#extractcontrol)

***

### extractFormDefinition()

> `protected` **extractFormDefinition**(`control`): `FormDefinition`

Defined in: [packages/angular/form-system/src/lib/mixins/extract-form-definition.mixin.ts:10](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-form-definition.mixin.ts#L10)

#### Parameters

##### control

`AbstractControl`

#### Returns

`FormDefinition`

#### Inherited from

[`ExtractFormDefinitionMixin`](../wiki/Class.ExtractFormDefinitionMixin).[`extractFormDefinition`](../wiki/Class.ExtractFormDefinitionMixin#extractformdefinition)

***

### extractMethod()

> **extractMethod**(`formDefinition`, `controlId`, `name`): `Method`\<`any`, `any`\>

Defined in: [packages/angular/form-system/src/lib/mixins/extract-method.mixin.ts:16](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-method.mixin.ts#L16)

#### Parameters

##### formDefinition

`FormDefinition`

##### controlId

`string`

##### name

`string`

#### Returns

`Method`\<`any`, `any`\>

#### Inherited from

[`ExtractMethodMixin`](../wiki/Class.ExtractMethodMixin).[`extractMethod`](../wiki/Class.ExtractMethodMixin#extractmethod)

***

### extractMethods()

> `protected` **extractMethods**(`formDefinition`, `controlId`): `Map`\<`string`, [`UseMethodDefinition`](../wiki/Interface.UseMethodDefinition)\<`unknown`, `unknown`, [`UseMethodConfig`](../wiki/Interface.UseMethodConfig)\<`unknown`, `unknown`, `any`, `any`\>\>\>

Defined in: [packages/angular/form-system/src/lib/mixins/extract-methods.mixin.ts:43](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-methods.mixin.ts#L43)

#### Parameters

##### formDefinition

`FormDefinition`

##### controlId

`string`

#### Returns

`Map`\<`string`, [`UseMethodDefinition`](../wiki/Interface.UseMethodDefinition)\<`unknown`, `unknown`, [`UseMethodConfig`](../wiki/Interface.UseMethodConfig)\<`unknown`, `unknown`, `any`, `any`\>\>\>

#### Inherited from

[`ExtractMethodMixin`](../wiki/Class.ExtractMethodMixin).[`extractMethods`](../wiki/Class.ExtractMethodMixin#extractmethods)

***

### extractResolveMethod()

> `protected` **extractResolveMethod**(`control`, `formDefinition`): `Method`\<`any`, `any`\>

Defined in: [packages/angular/form-system/src/lib/mixins/extract-resolve-method.mixin.ts:39](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-resolve-method.mixin.ts#L39)

#### Parameters

##### control

`RxapFormControl` = `...`

##### formDefinition

`FormDefinition`\<`any`, `any`, `any`\> = `...`

#### Returns

`Method`\<`any`, `any`\>
